Swagger API documentation for a Simple Integration. This API integration guide documents the minimum set of API calls required to perform a basic integration with Trust Web.

Server
https://{tenantId}.oak.trustx.com

URL for oak regional system.

https://{tenantId}.fir.trustx.com

URL for fir regional system

https://{tenantId}.gum.trustx.com

URL for gum regional system

Server Variables

Access to the APIs is restricted by bearer auth

apiKey ApiKeyAuth

An API key is required to create a token

Fields
KeyIn
X-Api-KeyHeader

Create Process Token

Auth
Request Body
objectobject
namestring

maxLength: 50

minLength: 0

processDefnNamestring

maxLength: 50

minLength: 0

processDefnVersionint32
uiUrlstring

maxLength: 500

minLength: 0

statusstring

Enum: ACTIVE,INACTIVE

typestring

Enum: UNLIMITED,MULTI_USE_COUNT_LIMITED,MULTI_USE_TIME_LIMITED

notBeforeDtmdate-time
notAfterDtmdate-time
maxCountint32
maxProcessDurationstring
parametersobject
*object
POST /api/process-manager/processTokens
Copy
Responses
201

Created

400

Bad Request

401

Unauthorized

Response
Copy

Create Process Instance

Auth
Query String
ptstring
POST /api/process-manager/processInstances/create
Copy
Responses
201

Created

objectobject
redirectUrlstring
processInstanceIdstring
themeUrlstring
400

Bad Request

401

Unauthorized

404

Not Found

Response
Copy

Create Process Instance (with redirect)

Auth
Query String
ptstring
POST /api/process-manager/processInstances
Copy
Responses
307

Temporary Redirect

No response body
400

Bad Request

401

Unauthorized

Response
Copy

Process Instance

Auth
Path Params
processInstanceIdstring
GET /api/process-manager/processInstances/{processInstanceId}
Copy
Responses
200

OK

objectobject
idstring
tenantIdstring
processDefnIdstring
processDefnNamestring
processDefnVersionint32
lastNamestring
firstNamestring
phoneNumberstring
emailstring
createdAtdate-time
elapsedMillisecondsint64
statusstring
statusMappedstring
reviewobject
statusstring
commentstring
reviewerstring
400

Bad Request

401

Unauthorized

404

Not Found

Response
Copy

Process Instance with additional parameters

Auth
Path Params
processInstanceIdstring
GET /api/process-manager/processInstances/{processInstanceId}/withParameters
Copy
Responses
200

OK

objectobject
idstring
tenantIdstring
processDefnIdstring
processDefnNamestring
processDefnVersionint32
lastNamestring
firstNamestring
phoneNumberstring
emailstring
createdDtmdate-time
statusstring
processTokenIdstring
processTokenCounterint32
processServerIdstring
lastUpdatedDtmdate-time
expiringDtmdate-time
dateOfBirthdate
processDefnS3Bucketstring
processDefnS3Dirstring
processDefinitionTypestring
processTokenParametersobject
*object
400

Bad Request

401

Unauthorized

404

Not Found

Response
Copy

Process Instance

Auth
Path Params
processInstanceIdstring
DELETE /api/process-manager/processInstances/{processInstanceId}
Copy
Responses
200

OK

No response body
400

Bad Request

401

Unauthorized

404

Not Found

Response
Copy

Get User Data

Auth
Path Params
processDefnIdstring
processInstanceIdstring
GET /api/userdata-server/processDefinitions/{processDefnId}/processInstances/{processInstanceId}/userdata
Copy
Responses
200

OK

400

Bad Request

401

Unauthorized

Response
Copy

Get Data

Get base64 encoded representation of user data such as a document or face image.

Auth
Path Params
processDefnIdstring
processInstanceIdstring
Query String
pathstring

The path to the user data. For example, a captured document image.

GET /api/userdata-server/processDefinitions/{processDefnId}/processInstances/{processInstanceId}/getdata
Copy
Responses
200

OK

objectobject
contentTypestring
datastring
400

Bad Request

401

Unauthorized

403

Forbidden

Response
Copy

Create Token

Auth
POST /api/arthr/apiKeys/issue
Copy
Responses
200

OK

objectobject
tokenstring
ttlint32
400

Bad Request

401

Unauthorized

Response
Copy

Delete API Key

Auth
Path Params
apiKeyIdstring
DELETE /api/arthr/apiKeys/{apiKeyId}
Copy
Responses
200

OK

No response body
400

Bad Request

401

Unauthorized

Response
Copy